| Home | Libraries | People | FAQ | More

## Function template iota_n

boost::algorithm::iota_n — Generates an increasing sequence of values, and stores them in the input Range.

## Synopsis

    // In header: <boost/algorithm/cxx11/iota.hpp>

    template<typename OutputIterator, typename T>
      OutputIterator iota_n(OutputIterator out, T value, std::size_t n);

## Description

Parameters:

`n` | The number of items to write
`out` | An output iterator to write the results into
`value` | The initial value of the sequence to be generated